structRNAfinder
===============
StructRNAfinder is designed to analyze data originated from transcriptome or genome projects. As input it is required the sequences in Fasta format, as well a covariance model (CM format) related to the secondary structures used for comparison.

StructRNAfinder integrates two third-part softwares and in-house scripts that allows to perform noncoding RNA annotation based on secondary structure inference. This tool generates a friendly output of the obtained results for every analysis developed on each step of its workflow.

This program is optimized to use the covariance models available in the Rfam database (http://rfam.xfam.org/). This mean that the generated output uses other complementary files, annotations and information extracted from that database. However, it do not exclude the possibility of using other covariance models as input.  The tool main pipeline is conserved and the unique difference is on the step of generating the html final reports. This option is useful for comparative genomics analysis, as well implementing CMs originated by other softwares than Infernal. 

<br>

***Installation***

To see more details related to the installation process please see the INSTALL file.

To install structRNAfinder and its requirements, type in terminal located in structRNAfinder folder:

	*sudo sh install.sh*

And follow the instructions provided.

<br>

***Summary of available tools and scripts***

*Infernal software*: tool for searching for RNA structures in nucleotide sequences (Nawrocki and Eddy, 2013)

*RNAfold software*: tool for secondary structure predictions in single stranded RNA or DNA sequences, based on the folding and calculation of the free energy viable to form the structure (Lorenz et al., 2011).

*structRNAfinder*: it is the main script the of StructRNAfinder. It performs all the analysis by calling other subscripts related to each comparison.

*SRF_Infernal2table*: it generates a tab delimited file with the information related to the selected hits for secondary structures, based on covariance models comparisons against the primary sequences performed by Infernal.

*SRF_extractMature*: this script extracts the mature sequence of the best hits filtered previously. The output is generated in two files in Fasta format, one with the complete sequence and another with the mature sequence of selected hits.

*SRF_taxonomy*: use the Krona tools (Ondov et al., 2011) to generate dynamic graphics with the taxonomic assignation for all secondary structures based on each RNA family taxonomic distribution reported on Rfam (Griffiths-Jones, 2003)

*SRF_generateHtml*: integrates all the results previously obtained with additional information extracted from Rfam database for each hit in a friendly output in html format.  

*SRF_generateHtmlOther*: integrates all the results previously obtained to generate the a friendly output in html format. This program is only used for other databases than Rfam.  

*SRF_generateJS*: generates the JavaScript files necessary to produce the summary chart on the html final report.

<br>


***Comments, criticisms and suggestions***

Please, feel free to contact us in case of comments, criticisms and suggestions at: vinicius.coutinho@umayor.cl or by
accessing directly our GitHub page at:
*https://github.com/viniciusmaracaja/structRNAfinder*
